Subject: Re: [PATCH] Add IPv6 support to TCP SYN cookies

From: Alan Cox <[email-masked]>
Date: Tue, 5 Feb 2008 15:42:13 +0000

> Syncookies are discouraged these days. They disable too many 
> valuable TCP features (window scaling, SACK) and even without them 
> the kernel is usually strong enough to defend against syn floods
> and systems have much more memory than they used to be.

Somewhat untrue. Network speeds have risen dramatically, the number of
appliances running Linux that are not PC class means memory has fallen
not risen and CPU has been pretty level.

> So I don't think it makes much sense to add more code to it, sorry.

I think it makes a lot of sense - providing it defaults off for the PC
world where as you say its use is limited.

Alan